> ## Documentation Index
> Fetch the complete documentation index at: https://supertab-feature-merchant-auth-change-again.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve website

> Retrieves information about the current website, identified by the Client ID.
The response contains information about all the available offerings, configuration for the experiences
(e.g. paygates and buttons), and some other metadata.

<div class="flex items-baseline border-b pb-2.5 border-gray-100 dark:border-gray-800 w-full">
  <h4 class="flex-1 mb-0">Required Scopes</h4>
</div>

`capi:read` - Read access to Customer API resources


## OpenAPI

````yaml get /site
openapi: 3.1.0
info:
  title: FastAPI
  version: '9999-01-01'
servers:
  - url: /capi
security: []
paths:
  /site:
    get:
      tags:
        - Customer
      summary: Retrieve inventory available for sale.
      description: >-
        Retrieves information about the current website, identified by the
        Client ID.

        The response contains information about all the available offerings,
        configuration for the experiences

        (e.g. paygates and buttons), and some other metadata.
      operationId: retrieve-site
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            title: Customer API version
            description: The version of the Customer API you are using.
            default: '9999-01-01'
          description: The version of the Customer API you are using.
          examples:
            default:
              value: '9999-01-01'
        - name: x-supertab-client-id
          in: header
          required: true
          schema:
            title: Client Id
            type: string
            format: tagged_id
            examples:
              - live_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
              - test_client.4df706b5-297a-49c5-a4cd-2a10eca12ff9
          description: >-
            Your Client ID with Supertab. Used to identify the website on which
            Customer is making a Purchase.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: 80dafe3b-73e1-4cb2-9fb7-294e3d1fd007
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Unauthorized
              example:
                error:
                  message: Invalid authentication credentials
                  code: invalid_credentials
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Forbidden
              example:
                error:
                  message: >-
                    The Bearer token does not match the x-supertab-client-id
                    header | Missing or invalid x-supertab-client-id | Invalid
                    subject type {request_subject_type} found,
                    {expected_token_type} expected
                  code: >-
                    client_id_mismatch | missing_or_invalid_x_supertab_client_id
                    | invalid_subject_type
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        description: A codename for the error
                      message:
                        type: string
                        description: A human-readable error message
                type: object
                title: Not Found
              example:
                error:
                  message: >-
                    Currency not found | No offering price found | Website not
                    found.
                  code: >-
                    currency_not_found | offering_price_not_found |
                    site_not_found
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: array
                    description: >-
                      A general error code and message accompanied by the list
                      of attributes that failed validation
                    items:
                      type: object
                      properties:
                        code:
                          type: string
                          description: A short generic error code
                        message:
                          type: string
                          description: A human-readable error message
                        errors:
                          type: array
                          description: A list of attributes that failed validation
                          items:
                            type: object
                            properties:
                              attribute:
                                type: string
                                description: >-
                                  The path to the attribute that failed
                                  validation
                              code:
                                type: string
                                description: >-
                                  An error code of this attribute's specific
                                  validation error
                              message:
                                type: string
                                description: >-
                                  A human-readable error message of this
                                  attribute's specific validation error
                type: object
                title: Validation Error
              example:
                error:
                  - code: validation_error
                    message: Validation Error
                    errors:
                      - attribute: query -> subject
                        code: missing
                        message: field required
      security:
        - oauth:
            - capi:read
components:
  securitySchemes:
    oauth:
      type: oauth2
      description: >-
        Supertab OAuth2 flow for CAPI. See
        [Authentication](/customer-api/authentication).
      flows:
        authorizationCode:
          scopes:
            capi:read: Access to view capi
            capi:write: Access to write for capi
          authorizationUrl: https://auth.supertab.co/oauth2/auth
          tokenUrl: https://auth.supertab.co/oauth2/token

````